DLS::sample_loop_t Struct Reference

Defines Sample Loop Points. More...

`#include <DLS.h>`

## Public Attributes

uint32_t | Size
| For internal usage only: usually reflects exactly `sizeof(sample_loop_t)`, otherwise if the value is larger then the DLS format was extended!
uint32_t | LoopType
| Defines how the waveform samples will be looped (appropriate loop types for the gig format are defined by gig::loop_type_t).
uint32_t | LoopStart
| The start value specifies the offset (in sample points) in the waveform data of the first sample point to be played in the loop.
uint32_t | LoopLength
| Length of the looping area (in sample points).

## Detailed Description

Defines Sample Loop Points.

Definition at line 235 of file DLS.h.

## Member Data Documentation

## LoopLength

uint32_t DLS::sample_loop_t::LoopLength

Length of the looping area (in sample points).

Definition at line 239 of file DLS.h.

Referenced by gig::Sample::ReadAndLoop().

## LoopStart

uint32_t DLS::sample_loop_t::LoopStart

The start value specifies the offset (in sample points) in the waveform data of the first sample point to be played in the loop.

Definition at line 238 of file DLS.h.

Referenced by gig::Sample::ReadAndLoop().

## LoopType

uint32_t DLS::sample_loop_t::LoopType

Defines how the waveform samples will be looped (appropriate loop types for the gig format are defined by gig::loop_type_t).

Definition at line 237 of file DLS.h.

Referenced by gig::Sample::ReadAndLoop().

## Size

uint32_t DLS::sample_loop_t::Size

For internal usage only: usually reflects exactly `sizeof(sample_loop_t)`, otherwise if the value is larger then the DLS format was extended!

Definition at line 236 of file DLS.h.

Referenced by DLS::Sampler::AddSampleLoop().

The documentation for this struct was generated from the following file:

- DLS.h